Rails.application.routes.draw do

  namespace :panel do
    namespace :personal_conference do
      namespace :desktop do
        match 'conference_window' => 'conference_windows#conference_window'
        match 'conference_type' => 'conference_pages#conference_type'
        resources :conference_pages, except: :show
        resources :conference_co_authors, except: :show
        resources :conference_co_author_relations, except: :show
        resources :plugin_intros
      end
      namespace :back_end do
        match 'writing_conference_setting' => "writing_conferences#writing_conference_setting" ,:as => :writing_conference_setting
        resources :writing_conferences do
          collection do
            get 'delete'
            get 'data_share'
          end
          match "author_type_quick_add" => "writing_conferences#author_type_quick_add" ,:as => :author_type_quick_add
          match "author_type_quick_edit" => "writing_conferences#author_type_quick_edit" ,:as => :author_type_quick_edit
          match "paper_type_quick_add" => "writing_conferences#paper_type_quick_add" ,:as => :paper_type_quick_add
          match "paper_type_quick_edit" => "writing_conferences#paper_type_quick_edit" ,:as => :paper_type_quick_edit
        end
        resources :personal_conference_intros
        resources :conference_paper_types
        resources :conference_author_types
        # resources :conference_level_types
        resources :tags
      end
      namespace :front_end do
        resources :writing_conferences
      end
      namespace :plugin do
        resources :writing_conferences
      end
      namespace :widget do
        match "writing_conferences" => "writing_conferences#index"
        match "home_list" => "writing_conferences#home_list"
        match "reload_writing_conferences" => "writing_conferences#reload_writing_conferences"
      end
    end
  end
  match "/appfront/*path" => redirect("/panel/*path")

end
